## org.codehaus.groovy.grails.exceptions
Class InvalidPropertyException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.codehaus.groovy.grails.exceptions.GrailsException
                      org.codehaus.groovy.grails.exceptions.InvalidPropertyException

All Implemented Interfaces:
  Serializable

    public class InvalidPropertyException

extends GrailsException

Exception which is thrown when a property of a Grails class is invalidated.

Since:
  06-Jul-2005
Author:
  Graeme Rocher
See Also:
  Serialized Form

Constructor Summary
`InvalidPropertyException()`
`InvalidPropertyException(String arg0)`
`InvalidPropertyException(String arg0, Throwable arg1)`
`InvalidPropertyException(Throwable arg0)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidPropertyException

    public InvalidPropertyException()

### InvalidPropertyException

    public InvalidPropertyException(String arg0,
                                    Throwable arg1)

### InvalidPropertyException

    public InvalidPropertyException(String arg0)

### InvalidPropertyException

    public InvalidPropertyException(Throwable arg0)

Copyright (c) 2005-2006 The Grails project